Package org.eclipse.mat.parser.index

## Class IndexWriter.LongIndexCollectorUncompressed

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.LongIndexCollectorUncompressed

Enclosing class:
  IndexWriter

    public static class IndexWriter.LongIndexCollectorUncompressed
    extends Object

### Constructor Summary

Constructors
`LongIndexCollectorUncompressed​(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `get​(int index)`
`void` `set​(int index, long value)`
`IIndexReader.IOne2LongIndex` `writeTo​(File indexFile)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LongIndexCollectorUncompressed

    public LongIndexCollectorUncompressed​(int size)

### Method Detail

#### set

    public void set​(int index,
                    long value)

#### get

    public long get​(int index)

#### writeTo

    public IIndexReader.IOne2LongIndex writeTo​(File indexFile)
                                        throws IOException

Throws:
  `IOException`